<?php

//carga de las clases
include('Animal.class.php');
include('Pez.class.php');
include('Gato.class.php');

//inicialización de la clase Pez que llama al constructor de la clase Animal
$pez = new Pez("gris",8);
//inicialización de la clase Gato que llama al constructor de la clase Animal
$gato = new Gato("blanco",4);
//leer el peso por el accesorio de la clase madre
echo "El peso del pez es:".$pez->getPeso()." kg<br />";
//leer el peso por el accesorio de la clase madre
echo "El peso del gato es:".$gato->getPeso()." kg<br />";

$pez->setType(true);
//leer el tipo por el accesorio de su propia clase
echo "El tipo del pez es:".$pez->getType()."<br />";
//llamada de el método de la clase pez
$pez->nadar();

$gato->setRaza("Angora");
//leer el raza por el accesorio de su propia clase
echo "La raza del gato es:".$gato->getRaza()."<br />";
//llamada de el método de la clase gato
$gato->maullar();

//llamada de el método estático
echo "Número de animales instanciados:".Animal::getContador();

?>
